Package com.google.debugging.sourcemap

# Class Base64

java.lang.Object
com.google.debugging.sourcemap.Base64

public final class Base64 extends Object
A utility class for working with Base64 values.

## Method Summary

Modifier and Type
Method
Description
`static String`
`base64EncodeInt(int value)`
`static int`
`fromBase64(char c)`
`static char`
`toBase64(int value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### toBase64

public static char toBase64(int value)

Parameters:
  `value` - A value in the range of 0-63.
Returns:
  a base64 digit.

### fromBase64

public static int fromBase64(char c)

Parameters:
  `c` - A base64 digit.
Returns:
  A value in the range of 0-63.

### base64EncodeInt

public static String base64EncodeInt(int value)

Parameters:
  `value` - an integer to base64 encode.
Returns:
  the six digit long base64 encoded value of the integer.